summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/gdr-import-dgit41
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/tests/gdr-import-dgit b/tests/tests/gdr-import-dgit
new file mode 100755
index 0000000..5d40157
--- /dev/null
+++ b/tests/tests/gdr-import-dgit
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-dependencies git-buildpackage libfile-fnmatch-perl
+
+t-setup-import gbp2gdr
+
+cd $p
+
+: 'non-dgit upload (but we prepare it with dgit anyway)'
+
+git checkout -b nmu
+
+v=2.0-2+num1
+t-dch-commit -v $v -m nmu
+
+t-some-changes nmu
+
+t-dch-commit -r sid
+
+t-dgit -wgf build-source
+
+cd ..
+c=${p}_${v}_source.changes
+debsign -kBCD22CD83243B79D3DFAC33EA3DBCBC039B13D8A $c
+dput -c $tmp/dput.cf test-dummy $c
+
+t-archive-process-incoming sid
+
+: 'done the nmu, switching back to the maintainer hat'
+
+cd $p
+git checkout master
+t-dgit pull
+
+git branch t.before
+
+: t-git-debrebase launder
+
+t-ok